/*font size changes*/
:root {
  --custom-font-size: 12px;
  --custom-font-size-sidemenu: 12px;
  --custom-btn-font-size: 12px;
  --custom-font-size-block-header: 16px;
  --custom-font-size-tabcount: 12px;
}
body{
  font-size: var(--custom-font-size) !important;
  font-family: Arial, Helvetica, sans-serif !important;
}
.checkbox label::before, .checkbox label::after{
  width: 20px !important;
  height: 20px !important;
}
.checkbox label{
  line-height: 21px !important;
}
#tableUserList_filter{
  margin-right: 35px !important;
}
#tableRoleList_filter{
  margin-right: 35px !important;
}
#tablePermissionList_filter{
  margin-right: 35px !important;
}
#tableUserLogList_filter{
  margin-right: 35px !important;
}
#tableActivityLogList_filter{
  margin-right: 35px !important;
}
.title-header{
  font-size: 24px !important; font-weight: 500;margin-left: 28px;
}
.text-decoration-underline{
  text-decoration: underline !important;
}
.login-header{
  font-size: 30px;
  font-weight: 600;
  text-transform: uppercase;
}
.fs-14{
  font-size: 14px;
}
.fs-15{
  font-size: 15px;
}
.fs-16{
  font-size: 16px;
}
.fs-17{
  font-size: 17px;
}
.fs-18{
  font-size: 18px;
}
.fs-19{
  font-size: 19px;
}
label{
  margin-bottom: 0rem !important;
}
.sidebar{
  font-size: var(--custom-font-size) !important;
}
.card .body{
  font-size: var(--custom-font-size) !important;
}
.bootstrap-select .btn.btn-round.btn-simple .filter-option, .bootstrap-select .wizard>.actions .disabled a.btn .filter-option, .bootstrap-select .wizard>.actions a.btn.btn-simple
.filter-option, .wizard>.actions .bootstrap-select a.btn.btn-simple .filter-option, .wizard>.actions .disabled .bootstrap-select a.btn .filter-option {
  font-size: var(--custom-font-size) !important;
}
.card .header h2{
  font-size: var(--custom-font-size) !important;
}
.nav-tabs>.nav-item>.nav-link{
  font-size: var(--custom-font-size) !important;
}
.dropdown-menu>li>a{
  font-size: var(--custom-font-size) !important;
}
.btn, .btn-sm{
  font-size: var(--custom-btn-font-size) !important;
}
.pagination .page-item .page-link{
  font-size: var(--custom-font-size) !important;
}
.title{
  font-size: var(--custom-font-size) !important;
}
.nav-tabs>.nav-item>.nav-link.active {
  /*border: 1px solid #888;*/
  border-radius: 5px !important;
}
.nav-tabs>.nav-item>.nav-link{
  border-radius: 5px !important;
}
.badge-success {
  border-color: #15b70d;
  color: #ffffff !important;
  background: #15b70d !important;
  border-radius: 10px;
  padding: 1px 8px !important;
}
.badge-info {
  border-color: #2CA8FF !important;
  color: #ffffff !important;
  background: #2ca8ff !important;
  border-radius: 10px !important;
}
.badge-danger {
  border-color: #FF3636;
  color: #ffffff !important;
  background: #ff3636 !important;
  border-radius: 10px !important;
  padding: 1px 8px !important;
}
.col-pink{
  color: #ce6bf6 !important;
}
.table{
  font-size: var(--custom-font-size) !important;
  width: 100%;
}
.table th,.table td {
  padding: 0px 3px 0px 3px;
}
.sidebar .menu .list .ml-menu li a{
  font-size: var(--custom-font-size-sidemenu) !important;
}
.block-header h2{
  font-size: var(--custom-font-size-block-header) !important;
}
.tab-badge-count{
  font-size: var(--custom-font-size-tabcount) !important;
}
/*font size changes*/

.changinginputshape{
	border-radius: 25px!important;
}
label.error{
  color: red;
  margin-left: 10px !important;
}

.select2-container--default .select2-selection--single {
  background-color: #fff;
  border: 1px solid #e4e4e4 !important;
  border-radius: 4px;
}
/* For Toggle button */
.switch {
  position: relative;
  display: inline-block;
  width: 40px;
  height: 16px;
  margin-bottom: 0;
}
.switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}  
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}
.slider:before {
  position: absolute;
  content: "";
  height: 10px;
  width: 10px;
  left: 2px;
  bottom: 3px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}  

input:checked + .slider {
  background-color: #4CAF50;
}
  
input:focus + .slider {
  box-shadow: 0 0 1px #4CAF50;
}
  
input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}
  
/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}
  
.slider.round:before {
  border-radius: 50%;
}

/* For edit link in data table <By Raveena 03 Jan 2022> */
.editLabel{
  cursor: pointer;
  color: #313740;
}
.editLabel:hover{
  color: #00BCD4;
}
.changinginputshape{
	border-radius: 25px!important;
}
.badge{
  margin-bottom: 0px !important;
}
/* .changecheckboxsize label::after,
.changecheckboxsize label::before{
    width:20px;
    height: 20px;
    top:4px;
} */

/* For sidebar <By Raveena 04 Jan 2022> */
/*.theme-black .sidebar .menu .list li.active.open a {
    color: #ffffff;
}*/

/* For Button delete and edit style */
.customBtn{
  padding: 2px;    
  border: none;    
  background: none;

}
.customBtn i{
  font-size: 15px;
}

/*.table td, .table th {
    padding: 0.35rem;
}*/

.ajax-loader{
  opacity: 0.2;
}

.showpassword_icon, .hidepassword_icon{
  cursor: pointer;
  position: absolute;
  right: 8px;
  top: 8px;
}
.form-control.is-invalid{
  background-image:none!important;
}

.mt-30{
  margin-top: 30px;
}
.display-inline-flex{
  display: inline-flex;
}
.display-flex{
  display: flex;
}
.typography-line {
  color: #c0c1c2;
  font-weight: 400;
  font-size: 13px;
}
.uppercase {
  text-transform: uppercase;
}
.input-icon{
  padding: 5px 10px 5px 0 !important;
}
.form-control-danger{
  border-color: 2px solid red;
}
.bootstrap-select{
  padding:0px !important;
}

.tab-badge-count{
  border-radius: 11px;
  line-height: 12px;
  margin-bottom: 0px;
  padding: 2px 5px 2px 5px;
  font-size: 12px;
}

@keyframes spinner {
  to {transform: rotate(360deg);}
}
 
.spinner:before {
  content: '';
  box-sizing: border-box;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 50px;
  height: 50px;
  margin-top: -10px;
  margin-left: -10px;
  border-radius: 50%;
  border: 2px solid #ccc;
  border-top-color: #333;
  animation: spinner .6s linear infinite;
}

/* For styling excel download icon */
.excelIcon{
  float: right; color: green
}

/*  for setting table width*/
.tableWidth{
  width: 100% !important;
}
/*For avatar*/
.avatar-upload {
  position: relative;
  max-width: 50%;
  margin: 5px auto;
}
.avatar-upload .avatar-edit {
  position: absolute;
  right: 5px;
  z-index: 1;
  top: 0;
}
.avatar-upload .avatar-edit .avatar-edit-dropdown {
  display: inline-block;
  width: 35px;
  height: 37px;
  margin-bottom: 0;
  border-radius: 100%;
  background: #FFFFFF;
  border: 1px solid transparent;
  box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.12);
  cursor: pointer;
  font-weight: normal;
  transition: all 0.2s ease-in-out;
}
.avatar-upload .avatar-edit .avatar-edit-dropdown:hover {
  background: #f1f1f1;
  border-color: #d6d6d6;
}


.avatar-upload .avatar-preview > div {
  width: 100%;
  height: 100%;
  border-radius: 100%;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

#avatar-upload-file-input{
  display: none;
}

.avatar-edit-icon{
  margin-top: 2px;
}

.avatar-editheader-dropdown{
  top: 0px !important;
}

.avatar-upload .avatar-preview {
  width: 100px;
  height: 100px;
  position: relative;
  border-radius: 100%;
  border: 6px solid #F8F8F8;
  box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
}
.avatar-preview {
  width: 100px;
  height: 100px;
  position: relative;
  border-radius: 100%;
  border: 6px solid #F8F8F8;
  box-shadow: 0px 2px 4px 0px rgb(0 0 0 / 10%);
}
@media screen and (min-width: 1367px) {

.avatar-upload .avatar-edit {
  position: absolute;
  right: 10px;
  z-index: 1;
  top: 10px;
}
.avatar-upload .avatar-preview {
  width: 180px;
  height: 180px;
  position: relative;
  border-radius: 100%;
  border: 6px solid #F8F8F8;
  box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
}
.avatar-preview {
  width: 180px;
  height: 180px;
  position: relative;
  border-radius: 100%;
  border: 6px solid #F8F8F8;
  box-shadow: 0px 2px 4px 0px rgb(0 0 0 / 10%);
}
}

/*for h6 remove caps*/
h6{
    text-transform: none;
}

@keyframes tablespinner {
  to {transform: rotate(360deg);}
}
 
.tablespinner:before {
  content: '';
  box-sizing: border-box;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 20px;
  height: 20px;
  margin-top: 15px;
  margin-left: 0px;
  border-radius: 50%;
  border: 2px solid #ccc;
  border-top-color: #333;
  animation: spinner .6s linear infinite;
}

.advance-search-toggle::after {
    display: inline-block;
    margin-left: 0.255em;
    vertical-align: 0.255em;
    content: "";
    border-top: 0.3em solid;
    border-right: 0.3em solid transparent;
    border-bottom: 0;
    border-left: 0.3em solid transparent;
    float: left;
    margin-top: 10px;
    margin-right: 10px;
}

.advance-search-toggle[aria-expanded="true"]:after {
    -webkit-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
}

.advance-search-toggle:after, .bootstrap-switch-label:before {
    -webkit-transition: all 150ms ease 0s;
    -moz-transition: all 150ms ease 0s;
    -o-transition: all 150ms ease 0s;
    -ms-transition: all 150ms ease 0s;
    transition: all 150ms ease 0s;
}

.loader {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 50px;
  height: 10px;
  background: #3498DB;
  border-radius: 5px;
  animation: load 1.8s ease-in-out infinite;
}
.loader:before, .loader:after {
  position: absolute;
  display: block;
  content: "";
  animation: load 1.8s ease-in-out infinite;
  height: 10px;
  border-radius: 5px;
}
.loader:before {
  top: -20px;
  left: 10px;
  width: 40px;
  background: #f44242;
}
.loader:after {
  bottom: -20px;
  width: 35px;
  background: #F5AB35;
}

@keyframes load {
  0% {
    transform: translateX(40px);
  }
  50% {
    transform: translateX(-30px);
  }
  100% {
    transform: translateX(40px);
  }
}

/*****************Calendar Plugin********************/
/*****************Calendar Plugin Start********************/
.calendar {
  z-index: 99999 !important;
}
.ui-datepicker {
  background: #ffffff;
  border-radius: 15px;
  box-shadow: 1px 3px 4px #e7e5e5;
}
.ui-datepicker-header {
  height: 50px;
  line-height: 50px;
  color: #ffffff;
  background: #22252b;
  margin-bottom: 10px;
}
.ui-datepicker-prev,
.ui-datepicker-next {
  width: 20px;
  height: 20px;
  text-indent: 9999px;
  border-radius: 100%;
  cursor: pointer;
  overflow: hidden;
  margin-top: 12px;
}
.ui-datepicker-prev {
  float: left;
  margin-left: 12px;
}
.ui-datepicker-prev:after {
  transform: rotate(45deg);
  margin: -43px 0px 0px 8px;
}
.ui-datepicker-next {
  float: right;
  margin-right: 12px;
}
.ui-datepicker-next:after {
  transform: rotate(-135deg);
  margin: -43px 0px 0px 6px;
}
.ui-datepicker-prev:after,
.ui-datepicker-next:after {
  content: '';
  position: absolute;
  display: block;
  width: 8px;
  height: 8px;
  border-left: 2px solid #ffffff;
  border-bottom: 2px solid #ffffff;
}
.ui-datepicker-prev:hover,
.ui-datepicker-next:hover,
.ui-datepicker-prev:hover:after,
.ui-datepicker-next:hover:after {
  border-color: #333333;
}
.ui-datepicker-title {
  text-align: center;
  font-size:15px;
}
.ui-datepicker-calendar {
  width: 100%;
  text-align: center;
}
.ui-datepicker-calendar thead tr th span {
  display: block;
  width: 40px;
  color: #22252b;
  margin-bottom: 5px;
  font-size: 13px;
  font-weight: 600 !important;
}
.ui-state-default {
  display: block;
  text-decoration: none;
  color: #333333;
  line-height: 40px;
  font-size: 12px;
}
.ui-state-default:hover {
  color: #ffffff;
  background:#6cc417;
  border-radius:50px;
  transition: all 0.25s cubic-bezier(0.7, -0.12, 0.2, 1.12);
}
.ui-state-highlight {
  color: #ffffff;
  background-color:#22252b;
  border-radius:50px;
}
}
.ui-state-active {
  color: #ffffff;
  background-color:#6cc417;
  border-radius:50px;
}
.ui-datepicker-unselectable .ui-state-default {
  color: #eee;
  border: 2px solid transparent;
}
/*Calendar pulgin End*/


/*Botton Animation*/
.tab-hover-animation {
  background: #e02c26;
  font-weight: 100;
}
.tab-hover-animation svg {
  height: 45px;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
}
.tab-hover-animation rect {
  fill: none;
  stroke: #fff;
  stroke-width: 2;
  stroke-dasharray: 422, 0;
  transition: all 0.35s linear;
}

.tab-hover-animation:hover {
  background: rgb(225 225 225) !important;
  font-weight: 700;
  letter-spacing: 1px;
  color: #313740 !important;
  border: 1px solid #313740 !important;
}
.tab-hover-animation:hover rect {
  stroke-width: 5;
  stroke-dasharray: 15, 310;
  stroke-dashoffset: 48;
  transition: all 1.35s cubic-bezier(0.19, 1, 0.22, 1);
}

.side-nav-animation {
  color: #fff;
  transition: .3s;
}
.side-nav-animation:hover {
  box-shadow: 7px 3px #cbcbcb;
  transition: .3s;
  border: 1px solid #d2d2d2;
  border-radius: 5px;
}

.button-animation-grey {
  background-color: transparent;
  border: 2px solid #90909061;
  color: #6f6f6f;
  transition: .3s;
}
.button-animation-grey:hover {
  animation: pulse 1s infinite;
  transition: .3s;
  background: #fff;
  color: #e2c102;
  border-color: #e2c102;
}
.button-animation-info {
  background-color: #0ea2f6d1;
  border: 2px solid #89d6fa;
  color: #ffffff;
  transition: .3s;
}
.button-animation-info:hover {
  animation: pulse 1s infinite;
  transition: .3s;
  background: #fff;
  color: #2dad30;
  border-color: #0c8510bf;
}
@keyframes pulse {
  0% {
    transform: scale(1);
  }
  70% {
    transform: scale(.9);
  }
    100% {
    transform: scale(1);
  }
}
